Subject: bug#22650: closed (Re: bug#22650: guixSD default umask is 0000)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Mar 2016 22:35:02 +0000

Your bug report

#22650: umask is 0000 when logging in over SSH (with lshd running)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22650: guixSD default umask is 0000
From: [email-masked] (Ludovic Courtès)
To: Alex Kost <[email-masked]>
Cc: 宋文武 <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 08 Mar 2016 23:33:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alex Kost <[email-masked]> skribis:

> 宋文武 (2016-03-07 18:18 +0300) wrote:
>
>> 于 2016年3月7日 GMT+08:00下午8:18:44, [email-masked] 写到:
>>
>>     [email-masked] (Ludovic Courtès) skribis:
>>
>>          myglc2 <[email-masked]> skribis:
>>
>>              glc@g1 ~$ ssh glc4@g1
>>              glc4@g1's password:
>>              glc4@g1 ~$ umask
>>              0000
>>
>>          Oh indeed, I can reproduce it.
>>
>>          The problem is that lshd resets the umask when it starts (in
>>          src/daemon.c:daemon_init) but never changes it again.
>>
>>          Perhaps we should be using pam_umask and login.defs (although I’m unsure
>>          if lshd would honor it), or alternately add explicitly set the umask in
>>          /etc/profile.
>>
>>          Thoughts?
>>
>>     宋文武 & Alex: WDYT?  (Asking you since I know you’re already familiar
>>     with these things.  :-))
>>
>>     Ludo’.
>>
>>
>> I never pay attention to umask, but set it in /etc/profile seem the
>> right thing to me. IIRC, debian and exherbo set it in there too.
>
> I agree ("ArchLinux" also has "umask 022" in /etc/profile).

Done in 112024826d3283284654475a50ccef81c697e2c9.

Thanks for your feedback,
Ludo’.

Subject: guixSD default umask is 0000
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Sat, 13 Feb 2016 09:36:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

out of the box, umask should default to something more typical.